NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.Features.OffsetEdgeBuilder Class Reference

Represents a NXOpen.Features.OffsetEdge builder More...

Inheritance diagram for NXOpen.Features.OffsetEdgeBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  OffsetEdgeMethod { AlongFace, AlongPlaneofEdge }
 the offset edge method enumeration More...
 
enum  EndFaceBehaviourType { Extend, Morph }
 the end face behavior settings enumeration More...
 

Properties

unsafe NXOpen.Expression Distance [get]
 Returns the distance for offset edge More...
 
unsafe NXOpen.ScCollector EdgeToOffset [get]
 Returns the edge collector to offset More...
 
unsafe
NXOpen.Features.OffsetEdgeBuilder.EndFaceBehaviourType 
EndFaceBehavior [get, set]
 Returns or sets whether fix side faces More...
 
unsafe
NXOpen.Features.OffsetEdgeBuilder.OffsetEdgeMethod 
Method [get, set]
 Returns or sets the method for offset edge More...
 
unsafe bool ReverseOffsetDirection [get, set]
 Returns or sets whether reverse offset direction More...
 
unsafe bool ReverseOffsetSide [get, set]
 Returns or sets whether reverse offset side More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 

Detailed Description

Represents a NXOpen.Features.OffsetEdge builder

To create a new instance of this class, use NXOpen.Features.SynchronousEdgeCollection.CreateOffsetEdgeBuilder

Created in NX9.0.0

Member Enumeration Documentation

the end face behavior settings enumeration

Enumerator
Extend 
Morph 

the offset edge method enumeration

Enumerator
AlongFace 
AlongPlaneofEdge 

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.OffsetEdgeBuilder.Distance
get

Returns the distance for offset edge

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.OffsetEdgeBuilder.EdgeToOffset
get

Returns the edge collector to offset

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.Features.OffsetEdgeBuilder.EndFaceBehaviourType NXOpen.Features.OffsetEdgeBuilder.EndFaceBehavior
getset

Returns or sets whether fix side faces

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe NXOpen.Features.OffsetEdgeBuilder.OffsetEdgeMethod NXOpen.Features.OffsetEdgeBuilder.Method
getset

Returns or sets the method for offset edge

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.OffsetEdgeBuilder.ReverseOffsetDirection
getset

Returns or sets whether reverse offset direction

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

unsafe bool NXOpen.Features.OffsetEdgeBuilder.ReverseOffsetSide
getset

Returns or sets whether reverse offset side

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.